const {
	ENUM_SEARCH_TYPE,
	ENUM_MESSAGE_PAGE_TYPE
} = require("../../static/enums/enum_value");

// 搜索页面
function gotoBookSearchPage(searchType = ENUM_SEARCH_TYPE.WAREHOUSE, keyword) {
	uni.navigateTo({
		url: `/page-subs/sub_A/book-search/book-search`,
		success: (res) => {
			res.eventChannel.emit("openBookSearchPage", {
				keyword,
				searchType
			})
		}
	})
}

// 文章详情
function gotoBookContentPage(bookId) {
	uni.navigateTo({
		url: `/page-subs/sub_A/book-content/book-content`,
		success: (res) => {
			res.eventChannel.emit("openBookContentPage", {
				bookId
			})
		}
	})
}

// 文章封面
function gotoBookCoverPage(bookId) {
	return;
	uni.navigateTo({
		url: `/page-subs/sub_A/book-cover/book-cover`,
		success: (res) => {
			res.eventChannel.emit("openBookCoverPage", {
				bookId
			})
		}
	})
}

// 阅读历史
function gotoReadHistoryPage() {
	uni.navigateTo({
		url: `/page-subs/sub_A/read-history/read-history`
	})
}

// vip申请
function gotoVIPApplyPage() {
	uni.navigateTo({
		url: `/page-subs/sub_B/vip-apply/vip-apply`,
	})
}

// 用户编辑
function gotoUserEditPage(userInfo) {
	uni.navigateTo({
		url: `/page-subs/sub_B/user-edit/user-edit`,
		success: (res) => {
			res.eventChannel.emit("openUserEditPage", {
				userInfo
			})
		}
	})
}

// 消息
function gotoMessagePage(type = ENUM_MESSAGE_PAGE_TYPE.SYS.value) {
	uni.navigateTo({
		url: `/page-subs/sub_B/message/message`,
		success: (res) => {
			res.eventChannel.emit("openMessagePage", {
				type
			})
		}
	})
}

// 阅读喜好
function gotoReadPreferencePage() {
	uni.navigateTo({
		url: `/page-subs/sub_B/read-preference/read-preference`,
	})
}

// 书豆明细
function gotoBookBeanDetailPage() {
	uni.navigateTo({
		url: `/page-subs/sub_B/book-bean-detail/book-bean-detail`
	})
}

// 书豆充值
function gotoBookBeanRechargePage() {
	uni.navigateTo({
		url: `/page-subs/sub_B/book-bean-recharge/book-bean-recharge`
	})
}
module.exports = {
	/** sub_A */
	gotoBookSearchPage,
	gotoBookContentPage,
	gotoBookCoverPage,
	gotoReadHistoryPage,

	/** sub_B */
	gotoVIPApplyPage,
	gotoUserEditPage,
	gotoMessagePage,
	gotoReadPreferencePage,
	gotoBookBeanDetailPage,
	gotoBookBeanRechargePage
}