import {
	apiPOST,
	apiUPLOAD
} from "../../../../common/utils/apiRequest.js"
import {
	getSystemDict,
	ENUM_DICT_NAME
} from "../../../../common/services/index.js"
import config from "../../../../config/index.js";

function editUserInfo(userInfo, callback) {
	let data = {
		...userInfo,
		nickname: userInfo.nickName,
		avatar: userInfo.avater,
		intro: userInfo.sign,
		status: userInfo.status,
		sex: userInfo.sex
	}
	apiPOST({
		url: `/system/user/update`,
		data,
		callback
	})
}
import {
	readToken
} from "../../../../common/services/userServices.js"

function uploadAvater(filePath, callback) {
	const fileManager = uni.getFileSystemManager();
	fileManager.readFile({
		filePath,
		position: 0,
		success(res) {
			console.log(res.data)
			uni.request({
				url: `${config["BASE_URL"]}/file/upload`,
				header: {
					Authorization: `${readToken()}`,
					"content-type": "multipart/form-data;",
				},
				data: res.data,
				method: "POST"
			})
		},
	})
	// apiUPLOAD({
	// 	url: `/file/upload`,
	// 	filePath,
	// 	name: 'file',
	// 	callback
	// })
}

function getSexDict(callback) {
	getSystemDict([ENUM_DICT_NAME.SEX], (success, data) => {
		if (success) {
			if (typeof callback == 'function') callback(true, data[ENUM_DICT_NAME.SEX].list)
		} else {
			if (typeof callback == 'function') callback(false)
		}
	});
}

module.exports = {
	editUserInfo,
	uploadAvater,
	getSexDict
}